package com.example.mymvvmdemo.data

/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/23
 *     desc   : 列表数据状态类
 *     version: 1.0
 * </pre>
 */
data class ListDataUiState<T>(
        //是否请求成功
        val isSuccess: Boolean,
        //错误消息 isSuccess为false才会有
        val errMessage: String = "",
        //是否为刷新
        val isRefresh: Boolean = false,
        //是否为空
        val isEmpty: Boolean = false,
        //是否还有更多
        val hasMore: Boolean = false,
        //是第一页且没有数据
        val isFirstEmpty:Boolean = false,
        //列表数据
        val listData: ArrayList<T> = arrayListOf()
)