package com.example.mymvvmdemo.data

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/22
 *     desc   :
 *     version: 1.0
 * </pre>
 */
@Parcelize
data class UserInfo(var admin: Boolean = false,
                    var chapterTops: List<String> = listOf(),
                    var collectIds: MutableList<String> = mutableListOf(),
                    var email: String = "",
                    var icon: String = "",
                    var id: String = "",
                    var nickname: String = "",
                    var password: String = "",
                    var token: String = "",
                    var type: Int = 0,
                    var username: String = "") : Parcelable