package com.example.mymvvmdemo.network

import com.example.common.network.BaseResponse


/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/22
 *     desc   :
 *     version: 1.0
 * </pre>
 */
data class ApiResponse<T>(var errorCode: Int, var errorMsg: String, var data: T) : BaseResponse<T>() {

    override fun isSuccess() = errorCode == 0

    override fun getResponseCode() = errorCode

    override fun getResponseData() = data

    override fun getResponseMsg() = errorMsg
}