package com.example.common.ext

import java.lang.reflect.ParameterizedType

/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/22
 *     desc   :
 *     version: 1.0
 * </pre>
 */

/**
 * 获取当前类绑定的泛型ViewModel-clazz
 */
@Suppress("UNCHECKED_CAST")
fun <VM> getVmClazz(obj: Any): VM {
    return (obj.javaClass.genericSuperclass as ParameterizedType).actualTypeArguments[0] as VM
}