package com.example.common.network.error

/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/22
 *     desc   :
 *     version: 1.0
 * </pre>
 */
enum class Error(private val code: Int, private val error: String) {

    ERROR_NET(-1, "网络异常"),
    ERROR_CONNECT(-3, "无法连接到服务器"),
    ERROR_TIMEOUT(-4, "请求超时"),
    ERROR_SERVER(-5, "错误，请稍后再试"),
    ERROR_DATA(-6, "错误，请稍后再试"),
    ERROR_HANDLE(-7, "错误，请稍后再试"),
    ERROR_UNKNOWN(-8, "错误，请稍后再试");

    fun getValue(): String {
        return error
    }

    fun getKey(): Int {
        return code
    }
}