package com.example.mymvvmdemo.ext

import androidx.recyclerview.widget.RecyclerView

/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/23
 *     desc   :
 *     version: 1.0
 * </pre>
 */
//绑定普通的Recyclerview
fun RecyclerView.init(
        layoutManger: RecyclerView.LayoutManager,
        bindAdapter: RecyclerView.Adapter<*>,
        isScroll: Boolean = true
): RecyclerView {
    layoutManager = layoutManger
    setHasFixedSize(true)
    adapter = bindAdapter
    isNestedScrollingEnabled = isScroll
    return this
}


