package com.example.mymvvmdemo.network

import com.example.mymvvmdemo.data.ListResponse
import com.example.mymvvmdemo.data.UserInfo
import retrofit2.http.Field
import retrofit2.http.FormUrlEncoded
import retrofit2.http.GET
import retrofit2.http.POST

/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/18
 *     desc   :
 *     version: 1.0
 * </pre>
 */
interface ApiService {
    companion object {
        const val SERVER_URL = "https://wanandroid.com/"
    }

    @FormUrlEncoded
    @POST("user/login")
    suspend fun login(@Field("username") username: String, @Field("password") pwd: String): ApiResponse<UserInfo>


    @GET("friend/json")
    suspend fun getCollectUrlData(): ApiResponse<ArrayList<ListResponse>>

}