package com.example.mymvvmdemo.network

import com.example.mymvvmdemo.data.ListResponse
import com.example.mymvvmdemo.data.UserInfo

/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/18
 *     desc   :
 *     version: 1.0
 * </pre>
 */
class HttpRequestManger {

    companion object {
        val instance: HttpRequestManger by lazy(mode = LazyThreadSafetyMode.SYNCHRONIZED) {
            HttpRequestManger()
        }
    }

    suspend fun login(username: String, password: String): ApiResponse<UserInfo> {
        return NetworkApi.service.login(username, password)
    }

    suspend fun collectUrlData(): ApiResponse<ArrayList<ListResponse>> {
        return NetworkApi.service.getCollectUrlData()
    }
}